# コントラクト詳細取得

## getcollections <a href="#getcollections" id="getcollections"></a>

指定した`transaction_gdn_id`のNFT詳細を取得します。

## **基本情報** <a href="#basic-info" id="basic-info"></a>

<table><thead><tr><th width="134">プロパティ</th><th width="260">詳細</th></tr></thead><tbody><tr><td>URL</td><td><code>/api/v1/getcollections</code></td></tr><tr><td>Method</td><td>POST</td></tr></tbody></table>

## **リクエストパラメータ** <a href="#request" id="request"></a>

<table><thead><tr><th width="146">パラメータ</th><th width="136">種類</th><th width="78">必須</th><th width="234">詳細</th></tr></thead><tbody><tr><td>transaction_gdn_ids</td><td>array[string]</td><td>yes</td><td>対象コレクションの<code>transaction_gdn_id</code></td></tr></tbody></table>

## **リクエストのサンプル** <a href="#sample-request" id="sample-request"></a>

```json
{
    "transaction_gdn_ids": ["cf7faf94-a5ec-462c-ad06-1bd772fefe21"]
}
```

## **成功した場合のレスポンス例** <a href="#response" id="response"></a>

```json
{
  "requests": {
      "transaction_gdn_ids": [
          "cf7faf94-a5ec-462c-ad06-1bd772fefe21"
      ]
  },
  "collections": [
      {
          "transaction_gdn_ids": "cf7faf94-a5ec-462c-ad06-1bd772fefe21",
          "contract_address": "0x0000000000000000000000000000000000000000",
          "name": "contract name",
          "blockchain": "polygon",
          "wallet_address": "0x1111111111111111111111111111111111111111",
          "enable_api": true,
          "enable_transfer": true,
          "description": "",
          "image": ""
      }
  ]
}
```

## **失敗した場合のレスポンス例(ステータスコード400)** <a href="#error" id="error"></a>

```json
{
  "error": {
    "title": "Request Validation Error",
    "message": "Invalid request body"
  }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.nftgarden.app/jp/api/nft-api/v1.2/get-detail-1.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
